//: /be/optiloading/compatibility/TankComp.java
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2008 Tim Pintens. All rights reserved.
 */

package be.optiloading.compatibility;

import java.util.ArrayList;

import be.optiloading.ship.ShipData;

/**
 * TankComp class used to stow information about the cargo-tank compatibility.
 * 
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank"
 *         href="http://www.optiloading.be">www.optiloading.be</a>
 */

@SuppressWarnings("serial")
public class TankComp extends ArrayList<ArrayList<Boolean>> {
	int numberTanks;
	
	/**
	 * Constructor to initialize list.
	 */
	public TankComp(){
		numberTanks = ShipData.getInstance().getCargoTankList().size();
	}
	
	/**
	 * Get if compatible.
	 * @param row Integer with row.
	 * @param col Intger with col.
	 * @return Boolean value which is false if compatible, otherwise true.
	 */
	public boolean get(int row, int col){
		ArrayList<Boolean> getList = this.get(row);
		return getList.get(col);
	}
	
	/**
	 * When a new load if added there has to be a new row.
	 */
	public void addComp(){
		ArrayList<Boolean> newItem = new ArrayList<Boolean>();
		for(int i = 0; i < numberTanks; i++){
			newItem.add(new Boolean(false));
		}
		this.add(newItem);
	}
	
	/**
	 * When a load is removed a row also has to be removed.
	 * @param index Integer with indicated row.
	 */
	public void deleteComp(int index){
		this.remove(index);
	}
	
	/**
	 * Set a sepcific compatibility.
	 * @param value Boolean value which is false if compatible, otherwise true.
	 * @param horz Integer with horz value.
	 * @param vert Integer with vert value.
	 */
	public void set(boolean value,int horz, int vert){
		this.get(horz).set(vert, value);
	}
}