package be.optiloading.helpers.osspecific;

import be.optiloading.gui.AboutBox;
import be.optiloading.gui.MainFrame;
import be.optiloading.settings.Settings;

import com.apple.eawt.Application;
import com.apple.eawt.ApplicationAdapter;
import com.apple.eawt.ApplicationEvent;

/**
 * To get nicer MAC OS X integration.
 * 
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank"
 *         href="http://www.optiloading.be">www.optiloading.be</a>
 */

public class OsXAdapter extends ApplicationAdapter{
	/**
	 * Constructor
	 */
	public OsXAdapter(){
		Application fApplication =  Application.getApplication();
		fApplication.setEnabledPreferencesMenu(true);
		fApplication.addApplicationListener(this);
	}
	
	/**
	 * Handle about/
	 */
	public void handleAbout(ApplicationEvent e) {
        new AboutBox();
        e.setHandled(true);
	}
	public void handleOpenApplication(ApplicationEvent e) {
	}
	public void handleOpenFile(ApplicationEvent e) {
	}
	
	/**
	 * Handle preferences.
	 */
	public void handlePreferences(ApplicationEvent e) {
		Settings.getInstance().showDialog();
	}
	public void handlePrintFile(ApplicationEvent e) {
	}
	
	/**
	 * Handle application exit.
	 */
	public void handleQuit(ApplicationEvent e) {
		MainFrame.getInstance().saveAndClose();
	}
}
