//: be/optiloading/helpers/table/BooleanEditor.java
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2008 Tim Pintens. All rights reserved.
 */

package be.optiloading.helpers.table;

import java.awt.Component;
import java.util.EventObject;

import javax.swing.AbstractCellEditor;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;

/**
 * BooleanEditor to edit boolean values in table cells.
 * 
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank"
 *         href="http://www.optiloading.be">www.optiloading.be</a>
 */

@SuppressWarnings("serial")
public class BooleanEditor extends AbstractCellEditor implements
		TableCellEditor {

	Boolean val;
	ImageIcon red= new ImageIcon(this.getClass().
			getResource("/images/true.png"));
	ImageIcon green = new ImageIcon(this.getClass().
			getResource("/images/false.png"));
	JLabel label;

	/**
	 * Overwritten method to make cell editable.
	 */
	public boolean isCellEditable(EventObject anEvent) {
		return true;
	}
	
	/**
	 * Overwritten method to get the boolean value.
	 */
	public Object getCellEditorValue() {
		return val;
	}
	
	/**
	 * Overwritten method to get the red/green image instead of default checkboxeditor.
	 */
	public Component getTableCellEditorComponent(JTable table, Object value,
			boolean isSelected, int row, int column) {
		val = !(Boolean) value;
		label = new JLabel(val ? green : red);
		label.setOpaque(true);
		super.fireEditingStopped();
		table.setValueAt(val, row, column);
		return label;
	}
}
