//: be/optiloading/helpers/table/BooleanRenderer.java
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2007 Tim Pintens. All rights reserved.
 */

package be.optiloading.helpers.table;

import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.TableCellRenderer;

/**
 * BooleanRenderer to render boolean values in table cells.
 * 
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank"
 *         href="http://www.optiloading.be">www.optiloading.be</a>
 */

@SuppressWarnings("serial")
public class BooleanRenderer implements TableCellRenderer {
	JLabel icon;
	ImageIcon good;
	ImageIcon bad;
	
	/**
	 * Constructor
	 */
	public BooleanRenderer(Boolean trueisgreen){
		if(trueisgreen){
			good = new ImageIcon(this.getClass().getResource("/images/true.png"));
			bad = new ImageIcon(this.getClass().getResource("/images/false.png"));
		} else {
			bad = new ImageIcon(this.getClass().getResource("/images/true.png"));
			good = new ImageIcon(this.getClass().getResource("/images/false.png"));
		}
		
		icon = new JLabel();
		icon.setOpaque(true);
		icon.setHorizontalAlignment(SwingConstants.CENTER);
	}

    /**
     * Format value.
     */
	public Component getTableCellRendererComponent(JTable table, Object value, 
			boolean isSelected, boolean hasfocus, int row, int column) {
        boolean bvalue = (Boolean) value;
    	if (bvalue == true) {
            icon.setIcon(good);
        } else {
        	icon.setIcon(bad);
        }
        return icon;
    }
}
