//: be/optiloading/helpers/table/PercentageProgressRenderer.java
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2007 Tim Pintens. All rights reserved.
 */

package be.optiloading.helpers.table;

import java.awt.Component;

import javax.swing.JProgressBar;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

/**
 * PercentageProgressRenderer to render percentages as as a progressbar
 * in table cells.
 * 
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank"
 *         href="http://www.optiloading.be">www.optiloading.be</a>
 */

public class PercentageProgressRenderer implements TableCellRenderer {
	JProgressBar percentagefull;
	
	/**
	 * Constructor.
	 */
	public PercentageProgressRenderer(){
		percentagefull = new JProgressBar(0,100);
		percentagefull.setValue(0);
		percentagefull.setOpaque(false);
	}
	
	/**
	 * Method to get the renderer.
	 */
	public Component getTableCellRendererComponent(JTable table, Object value, 
			boolean isSelected, boolean hasfocus, int row, int column) {
		Float fvalue = ((Float) value) * 100;
		percentagefull.setValue(fvalue.intValue());
		return percentagefull;
	}
}
